<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: pre_flamelets Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">pre_flamelets Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ae6f5bad976e6a1e90b12a6b0b0f8268d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepre__flamelets.html#ae6f5bad976e6a1e90b12a6b0b0f8268d">loop_premixed</a></td></tr>
<tr class="separator:ae6f5bad976e6a1e90b12a6b0b0f8268d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ef0dce2c85eccee768de68ec0a072c0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepre__flamelets.html#a5ef0dce2c85eccee768de68ec0a072c0">calcexhaustgas</a> (curPhi)</td></tr>
<tr class="separator:a5ef0dce2c85eccee768de68ec0a072c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3af31c4145e45122e57991926f52d99e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepre__flamelets.html#a3af31c4145e45122e57991926f52d99e">calcinitialmixture</a> (curPhi, curEGR)</td></tr>
<tr class="separator:a3af31c4145e45122e57991926f52d99e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0af1e22a65d29a398c5931a2f40808d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepre__flamelets.html#aa0af1e22a65d29a398c5931a2f40808d">printfminput</a> (curEGR, curPhi, curTu, curP, curRunDir, curInputFile)</td></tr>
<tr class="separator:aa0af1e22a65d29a398c5931a2f40808d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67813b24b52b6c479c0959ed05b6dbfc"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepre__flamelets.html#a67813b24b52b6c479c0959ed05b6dbfc">printglobalreaction</a></td></tr>
<tr class="separator:a67813b24b52b6c479c0959ed05b6dbfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71e12664573130780ed770b40da7673d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepre__flamelets.html#a71e12664573130780ed770b40da7673d">fmfilename</a> (Fuel, p, phi, Tu, filename)</td></tr>
<tr class="separator:a71e12664573130780ed770b40da7673d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f5cc3ccaa2df2ea84c541bdcd27291f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepre__flamelets.html#a8f5cc3ccaa2df2ea84c541bdcd27291f">findstartprofile</a> (data_in, files_in, curPhi, curEGR, curTu, curP, startProfile)</td></tr>
<tr class="separator:a8f5cc3ccaa2df2ea84c541bdcd27291f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29070bad9b77a5dbe5e758a6d510f829"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepre__flamelets.html#a29070bad9b77a5dbe5e758a6d510f829">resize_data</a> (data_in, files, curPhi, curEGR, curTu, curP, curFile)</td></tr>
<tr class="separator:a29070bad9b77a5dbe5e758a6d510f829"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d5c5111e13d888cd4beb351e872f4cc"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepre__flamelets.html#a5d5c5111e13d888cd4beb351e872f4cc">readallprofiles</a> (data_in, files)</td></tr>
<tr class="separator:a5d5c5111e13d888cd4beb351e872f4cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a73e91adc681ca1de60a6b9e58607a63f"><td class="memItemLeft" align="right" valign="top">character(len=str_long)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepre__flamelets.html#a73e91adc681ca1de60a6b9e58607a63f">globalreaction</a></td></tr>
<tr class="separator:a73e91adc681ca1de60a6b9e58607a63f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a5ef0dce2c85eccee768de68ec0a072c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ef0dce2c85eccee768de68ec0a072c0">&#9670;&nbsp;</a></span>calcexhaustgas()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pre_flamelets::calcexhaustgas </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curPhi</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceinit__runfm.html#addd4947adabc0a8b5bf458463c97f003">init_runfm::natomsinspecies</a>, <a class="el" href="namespaceinit__runfm.html#ad3a1859eca3ceb8d1b011ff4ce3f5f2d">init_runfm::nspecies</a>, and <a class="el" href="namespaceinit__runfm.html#a0b3bf2dcb9f3cf4b7fb0b504e80a8b48">init_runfm::x_1</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepre__flamelets_a5ef0dce2c85eccee768de68ec0a072c0_icgraph.png" border="0" usemap="#namespacepre__flamelets_a5ef0dce2c85eccee768de68ec0a072c0_icgraph" alt=""/></div>
<map name="namespacepre__flamelets_a5ef0dce2c85eccee768de68ec0a072c0_icgraph" id="namespacepre__flamelets_a5ef0dce2c85eccee768de68ec0a072c0_icgraph">
<area shape="rect" id="node2" href="namespacepre__flamelets.html#ae6f5bad976e6a1e90b12a6b0b0f8268d" title="pre_flamelets::loop\l_premixed" alt="" coords="252,5,384,47"/>
<area shape="rect" id="node3" href="runFM_8f90.html#abd147d099b4d63da8d46a6a63bd1620a" title="runfm" alt="" coords="432,13,487,39"/>
</map>
</div>

</div>
</div>
<a id="a3af31c4145e45122e57991926f52d99e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3af31c4145e45122e57991926f52d99e">&#9670;&nbsp;</a></span>calcinitialmixture()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pre_flamelets::calcinitialmixture </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curPhi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curEGR</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceinit__runfm.html#acfc1511e4db117c53a5e8681ef3582e8">init_runfm::allspecies</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespaceinit__runfm.html#ab9fc7bf86a90c80c82325dbb4861c517">init_runfm::lst</a>, <a class="el" href="namespaceinit__runfm.html#a3768207d76b23da94eefc3e8badb7fa4">init_runfm::mw_0</a>, <a class="el" href="namespaceinit__runfm.html#a1e1097763f721f09357630eb0e114ad5">init_runfm::mw_1</a>, <a class="el" href="namespaceinit__runfm.html#ad3a1859eca3ceb8d1b011ff4ce3f5f2d">init_runfm::nspecies</a>, <a class="el" href="namespaceinit__runfm.html#a3a8065370d87e985e761defc73dc83bf">init_runfm::x_0</a>, <a class="el" href="namespaceinit__runfm.html#a0b3bf2dcb9f3cf4b7fb0b504e80a8b48">init_runfm::x_1</a>, <a class="el" href="namespaceinit__runfm.html#a1d0031aa2a2cbb8f1255eb86a05aed1d">init_runfm::x_bu</a>, and <a class="el" href="namespaceinit__runfm.html#a8f124769564b6cd4785d91c37cf65804">init_runfm::x_un</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepre__flamelets_a3af31c4145e45122e57991926f52d99e_cgraph.png" border="0" usemap="#namespacepre__flamelets_a3af31c4145e45122e57991926f52d99e_cgraph" alt=""/></div>
<map name="namespacepre__flamelets_a3af31c4145e45122e57991926f52d99e_cgraph" id="namespacepre__flamelets_a3af31c4145e45122e57991926f52d99e_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="259,13,355,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="403,5,533,47"/>
</map>
</div>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepre__flamelets_a3af31c4145e45122e57991926f52d99e_icgraph.png" border="0" usemap="#namespacepre__flamelets_a3af31c4145e45122e57991926f52d99e_icgraph" alt=""/></div>
<map name="namespacepre__flamelets_a3af31c4145e45122e57991926f52d99e_icgraph" id="namespacepre__flamelets_a3af31c4145e45122e57991926f52d99e_icgraph">
<area shape="rect" id="node2" href="namespacepre__flamelets.html#ae6f5bad976e6a1e90b12a6b0b0f8268d" title="pre_flamelets::loop\l_premixed" alt="" coords="259,5,391,47"/>
<area shape="rect" id="node3" href="runFM_8f90.html#abd147d099b4d63da8d46a6a63bd1620a" title="runfm" alt="" coords="439,13,493,39"/>
</map>
</div>

</div>
</div>
<a id="a8f5cc3ccaa2df2ea84c541bdcd27291f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f5cc3ccaa2df2ea84c541bdcd27291f">&#9670;&nbsp;</a></span>findstartprofile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pre_flamelets::findstartprofile </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:,:), intent(in), allocatable&#160;</td>
          <td class="paramname"><em>data_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), dimension(:), intent(in), allocatable&#160;</td>
          <td class="paramname"><em>files_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curPhi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curEGR</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curTu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(inout)&#160;</td>
          <td class="paramname"><em>startProfile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceinit__runfm.html#ab91455dda7ab359c39dd5abca2c57450">init_runfm::skipflamelets</a>, and <a class="el" href="namespaceprecision.html#ac401a03c3988b013215283fff6741c6b">precision::wp</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepre__flamelets_a8f5cc3ccaa2df2ea84c541bdcd27291f_icgraph.png" border="0" usemap="#namespacepre__flamelets_a8f5cc3ccaa2df2ea84c541bdcd27291f_icgraph" alt=""/></div>
<map name="namespacepre__flamelets_a8f5cc3ccaa2df2ea84c541bdcd27291f_icgraph" id="namespacepre__flamelets_a8f5cc3ccaa2df2ea84c541bdcd27291f_icgraph">
<area shape="rect" id="node2" href="namespacepre__flamelets.html#ae6f5bad976e6a1e90b12a6b0b0f8268d" title="pre_flamelets::loop\l_premixed" alt="" coords="244,5,376,47"/>
<area shape="rect" id="node3" href="runFM_8f90.html#abd147d099b4d63da8d46a6a63bd1620a" title="runfm" alt="" coords="424,13,479,39"/>
</map>
</div>

</div>
</div>
<a id="a71e12664573130780ed770b40da7673d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71e12664573130780ed770b40da7673d">&#9670;&nbsp;</a></span>fmfilename()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pre_flamelets::fmfilename </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>Fuel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>phi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>Tu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(inout)&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6f5bad976e6a1e90b12a6b0b0f8268d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6f5bad976e6a1e90b12a6b0b0f8268d">&#9670;&nbsp;</a></span>loop_premixed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pre_flamelets::loop_premixed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacepre__flamelets.html#a5ef0dce2c85eccee768de68ec0a072c0">calcexhaustgas()</a>, <a class="el" href="namespacepre__flamelets.html#a3af31c4145e45122e57991926f52d99e">calcinitialmixture()</a>, <a class="el" href="namespaceinit__runfm.html#af08257872f660fa0184591979f0aaa32">init_runfm::egr</a>, <a class="el" href="namespacepre__flamelets.html#a8f5cc3ccaa2df2ea84c541bdcd27291f">findstartprofile()</a>, <a class="el" href="namespaceinit__runfm.html#a9aa24163dcb9af4fbd957d6424ee7b3a">init_runfm::flamemaster</a>, <a class="el" href="cc__pre__flamelets_8f90.html#a7d45a90ae2e900e10b3103b31408a4fa">fmfilename()</a>, <a class="el" href="namespaceinit__runfm.html#a705989855c595b4d1e489bc50cf8772b">init_runfm::fuelspecies</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespaceinit__runfm.html#a3f8fa206e670717842ef266f0ed0a8fa">init_runfm::initialstartprofile</a>, <a class="el" href="namespaceinit__runfm.html#a980183e7bf1f28e98e9339e87f915e54">init_runfm::negr</a>, <a class="el" href="namespaceinit__runfm.html#a6f063505d8cc7683d3f66e63c532cb99">init_runfm::np</a>, <a class="el" href="namespaceinit__runfm.html#ac39e850ebc843156ab2943e530a47114">init_runfm::nphi</a>, <a class="el" href="namespaceinit__runfm.html#a3bb396848db292cdd2b57e59db92a609">init_runfm::ntu</a>, <a class="el" href="namespaceinit__runfm.html#a6dc9f04be531d167b30ca2f99f56e3b8">init_runfm::p</a>, <a class="el" href="namespaceinit__runfm.html#a2ef7b28a61bb9b759ec9f1aeaac98025">init_runfm::phi</a>, <a class="el" href="namespacepre__flamelets.html#aa0af1e22a65d29a398c5931a2f40808d">printfminput()</a>, <a class="el" href="namespacepre__flamelets.html#a67813b24b52b6c479c0959ed05b6dbfc">printglobalreaction()</a>, <a class="el" href="namespacepre__flamelets.html#a5d5c5111e13d888cd4beb351e872f4cc">readallprofiles()</a>, <a class="el" href="namespacepre__flamelets.html#a29070bad9b77a5dbe5e758a6d510f829">resize_data()</a>, <a class="el" href="namespaceinit__runfm.html#ac09d3b7369274cd11a66bcc007cddd82">init_runfm::tu</a>, and <a class="el" href="namespaceinit__runfm.html#a581f705491f15d84feab0259815c7767">init_runfm::zst</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepre__flamelets_ae6f5bad976e6a1e90b12a6b0b0f8268d_cgraph.png" border="0" usemap="#namespacepre__flamelets_ae6f5bad976e6a1e90b12a6b0b0f8268d_cgraph" alt=""/></div>
<map name="namespacepre__flamelets_ae6f5bad976e6a1e90b12a6b0b0f8268d_cgraph" id="namespacepre__flamelets_ae6f5bad976e6a1e90b12a6b0b0f8268d_cgraph">
<area shape="rect" id="node2" href="namespacepre__flamelets.html#a5ef0dce2c85eccee768de68ec0a072c0" title="pre_flamelets::calcexhaustgas" alt="" coords="193,5,391,32"/>
<area shape="rect" id="node3" href="namespacepre__flamelets.html#a3af31c4145e45122e57991926f52d99e" title="pre_flamelets::calcinitialmixture" alt="" coords="189,56,395,83"/>
<area shape="rect" id="node4" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="447,81,543,108"/>
<area shape="rect" id="node6" href="namespacepre__flamelets.html#a8f5cc3ccaa2df2ea84c541bdcd27291f" title="pre_flamelets::findstartprofile" alt="" coords="197,157,387,184"/>
<area shape="rect" id="node7" href="cc__pre__flamelets_8f90.html#a7d45a90ae2e900e10b3103b31408a4fa" title="fmfilename" alt="" coords="249,208,335,235"/>
<area shape="rect" id="node8" href="namespacepre__flamelets.html#aa0af1e22a65d29a398c5931a2f40808d" title="pre_flamelets::printfminput" alt="" coords="204,259,380,285"/>
<area shape="rect" id="node9" href="namespacepre__flamelets.html#a67813b24b52b6c479c0959ed05b6dbfc" title="pre_flamelets::printglobalreaction" alt="" coords="185,309,399,336"/>
<area shape="rect" id="node10" href="namespacepre__flamelets.html#a5d5c5111e13d888cd4beb351e872f4cc" title="pre_flamelets::readallprofiles" alt="" coords="198,360,386,387"/>
<area shape="rect" id="node11" href="namespacepre__flamelets.html#a29070bad9b77a5dbe5e758a6d510f829" title="pre_flamelets::resize_data" alt="" coords="205,411,379,437"/>
<area shape="rect" id="node5" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="591,74,721,115"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepre__flamelets_ae6f5bad976e6a1e90b12a6b0b0f8268d_icgraph.png" border="0" usemap="#namespacepre__flamelets_ae6f5bad976e6a1e90b12a6b0b0f8268d_icgraph" alt=""/></div>
<map name="namespacepre__flamelets_ae6f5bad976e6a1e90b12a6b0b0f8268d_icgraph" id="namespacepre__flamelets_ae6f5bad976e6a1e90b12a6b0b0f8268d_icgraph">
<area shape="rect" id="node2" href="runFM_8f90.html#abd147d099b4d63da8d46a6a63bd1620a" title="runfm" alt="" coords="185,13,240,39"/>
</map>
</div>

</div>
</div>
<a id="aa0af1e22a65d29a398c5931a2f40808d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0af1e22a65d29a398c5931a2f40808d">&#9670;&nbsp;</a></span>printfminput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pre_flamelets::printfminput </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curEGR</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curPhi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curTu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(inout)&#160;</td>
          <td class="paramname"><em>curRunDir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(inout)&#160;</td>
          <td class="paramname"><em>curInputFile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceinit__runfm.html#acfc1511e4db117c53a5e8681ef3582e8">init_runfm::allspecies</a>, <a class="el" href="namespaceinit__runfm.html#a705989855c595b4d1e489bc50cf8772b">init_runfm::fuelspecies</a>, <a class="el" href="namespacepre__flamelets.html#a73e91adc681ca1de60a6b9e58607a63f">globalreaction</a>, <a class="el" href="namespaceinit__runfm.html#afea85966c085bb10b5efe20992259da8">init_runfm::mechanismfile</a>, <a class="el" href="namespaceinit__runfm.html#a773302fbbfe6b30b4d9b24e5e44ab1ce">init_runfm::nfuelspecies</a>, <a class="el" href="namespaceinit__runfm.html#a8fc57d51d4ec1f0bce0e3b05ce934d81">init_runfm::noxidizerspecies</a>, <a class="el" href="namespaceinit__runfm.html#ad3a1859eca3ceb8d1b011ff4ce3f5f2d">init_runfm::nspecies</a>, <a class="el" href="namespaceinit__runfm.html#a27f4a7681c4ccf5da8f4db91f0df73a8">init_runfm::oxidizerspecies</a>, and <a class="el" href="namespaceinit__runfm.html#a8f124769564b6cd4785d91c37cf65804">init_runfm::x_un</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepre__flamelets_aa0af1e22a65d29a398c5931a2f40808d_icgraph.png" border="0" usemap="#namespacepre__flamelets_aa0af1e22a65d29a398c5931a2f40808d_icgraph" alt=""/></div>
<map name="namespacepre__flamelets_aa0af1e22a65d29a398c5931a2f40808d_icgraph" id="namespacepre__flamelets_aa0af1e22a65d29a398c5931a2f40808d_icgraph">
<area shape="rect" id="node2" href="namespacepre__flamelets.html#ae6f5bad976e6a1e90b12a6b0b0f8268d" title="pre_flamelets::loop\l_premixed" alt="" coords="229,5,361,47"/>
<area shape="rect" id="node3" href="runFM_8f90.html#abd147d099b4d63da8d46a6a63bd1620a" title="runfm" alt="" coords="409,13,464,39"/>
</map>
</div>

</div>
</div>
<a id="a67813b24b52b6c479c0959ed05b6dbfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67813b24b52b6c479c0959ed05b6dbfc">&#9670;&nbsp;</a></span>printglobalreaction()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pre_flamelets::printglobalreaction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceinit__runfm.html#acfc1511e4db117c53a5e8681ef3582e8">init_runfm::allspecies</a>, <a class="el" href="namespacepre__flamelets.html#a73e91adc681ca1de60a6b9e58607a63f">globalreaction</a>, <a class="el" href="namespaceinit__runfm.html#ab9fc7bf86a90c80c82325dbb4861c517">init_runfm::lst</a>, <a class="el" href="namespaceinit__runfm.html#a3768207d76b23da94eefc3e8badb7fa4">init_runfm::mw_0</a>, <a class="el" href="namespaceinit__runfm.html#a1e1097763f721f09357630eb0e114ad5">init_runfm::mw_1</a>, <a class="el" href="namespaceinit__runfm.html#ad3a1859eca3ceb8d1b011ff4ce3f5f2d">init_runfm::nspecies</a>, <a class="el" href="namespaceinit__runfm.html#a3a8065370d87e985e761defc73dc83bf">init_runfm::x_0</a>, and <a class="el" href="namespaceinit__runfm.html#a0b3bf2dcb9f3cf4b7fb0b504e80a8b48">init_runfm::x_1</a>.</p>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepre__flamelets_a67813b24b52b6c479c0959ed05b6dbfc_icgraph.png" border="0" usemap="#namespacepre__flamelets_a67813b24b52b6c479c0959ed05b6dbfc_icgraph" alt=""/></div>
<map name="namespacepre__flamelets_a67813b24b52b6c479c0959ed05b6dbfc_icgraph" id="namespacepre__flamelets_a67813b24b52b6c479c0959ed05b6dbfc_icgraph">
<area shape="rect" id="node2" href="namespacepre__flamelets.html#ae6f5bad976e6a1e90b12a6b0b0f8268d" title="pre_flamelets::loop\l_premixed" alt="" coords="267,5,399,47"/>
<area shape="rect" id="node3" href="runFM_8f90.html#abd147d099b4d63da8d46a6a63bd1620a" title="runfm" alt="" coords="447,13,501,39"/>
</map>
</div>

</div>
</div>
<a id="a5d5c5111e13d888cd4beb351e872f4cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d5c5111e13d888cd4beb351e872f4cc">&#9670;&nbsp;</a></span>readallprofiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pre_flamelets::readallprofiles </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:,:), intent(inout), allocatable&#160;</td>
          <td class="paramname"><em>data_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), dimension(:), intent(inout), allocatable&#160;</td>
          <td class="paramname"><em>files</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceinit__runfm.html#a705989855c595b4d1e489bc50cf8772b">init_runfm::fuelspecies</a>, and <a class="el" href="namespacestring.html#aa5726d00395955c13ddc61faf55413f6">string::str_medium</a>.</p>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepre__flamelets_a5d5c5111e13d888cd4beb351e872f4cc_icgraph.png" border="0" usemap="#namespacepre__flamelets_a5d5c5111e13d888cd4beb351e872f4cc_icgraph" alt=""/></div>
<map name="namespacepre__flamelets_a5d5c5111e13d888cd4beb351e872f4cc_icgraph" id="namespacepre__flamelets_a5d5c5111e13d888cd4beb351e872f4cc_icgraph">
<area shape="rect" id="node2" href="namespacepre__flamelets.html#ae6f5bad976e6a1e90b12a6b0b0f8268d" title="pre_flamelets::loop\l_premixed" alt="" coords="241,5,373,47"/>
<area shape="rect" id="node3" href="runFM_8f90.html#abd147d099b4d63da8d46a6a63bd1620a" title="runfm" alt="" coords="421,13,476,39"/>
</map>
</div>

</div>
</div>
<a id="a29070bad9b77a5dbe5e758a6d510f829"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29070bad9b77a5dbe5e758a6d510f829">&#9670;&nbsp;</a></span>resize_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pre_flamelets::resize_data </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:,:), intent(inout), allocatable&#160;</td>
          <td class="paramname"><em>data_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), dimension(:), intent(inout), allocatable&#160;</td>
          <td class="paramname"><em>files</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curPhi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curEGR</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curTu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>curP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>curFile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepre__flamelets_a29070bad9b77a5dbe5e758a6d510f829_icgraph.png" border="0" usemap="#namespacepre__flamelets_a29070bad9b77a5dbe5e758a6d510f829_icgraph" alt=""/></div>
<map name="namespacepre__flamelets_a29070bad9b77a5dbe5e758a6d510f829_icgraph" id="namespacepre__flamelets_a29070bad9b77a5dbe5e758a6d510f829_icgraph">
<area shape="rect" id="node2" href="namespacepre__flamelets.html#ae6f5bad976e6a1e90b12a6b0b0f8268d" title="pre_flamelets::loop\l_premixed" alt="" coords="228,5,360,47"/>
<area shape="rect" id="node3" href="runFM_8f90.html#abd147d099b4d63da8d46a6a63bd1620a" title="runfm" alt="" coords="408,13,463,39"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a73e91adc681ca1de60a6b9e58607a63f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73e91adc681ca1de60a6b9e58607a63f">&#9670;&nbsp;</a></span>globalreaction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_long) pre_flamelets::globalreaction</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
